<script lang="ts" setup>
import Card from '@/components/Card.vue';
import Button from '@/components/Button.vue';

import BookIcon from '@/components/Icons/BookIcon.vue';
import DriveIcon from '@/components/Icons/DriveIcon.vue';
import Background from '@/components/Background.vue';
</script>

<template>
  <div class="home">
    <div class="text">
      <h1>{{ $t('VIEWS.HOME.TITLE') }} <span style="color: var(--primary-green);">:·)</span></h1>
    </div>
    <div class="cards">
      <Card height="auto">
        <span class="title">
          <BookIcon />
          {{ $t('VIEWS.HOME.KNOWLEDGE_CARD.TITLE') }}
        </span>
        <p>{{ $t('VIEWS.HOME.KNOWLEDGE_CARD.DESCRIPTION') }}</p>
        <div class="buttons">
          <Button link="/ressources/zine" color="var(--complementary-white)" text-color="var(--complementary-gray-3)">{{
              $t('VIEWS.HOME.KNOWLEDGE_CARD.BUTTON')
          }}</Button>
        </div>
      </Card>
      <Card height="auto">
        <span class="title">
          <DriveIcon />
          {{ $t('VIEWS.HOME.SERVICES_CARD.TITLE') }}
        </span>
        <p>{{ $t('VIEWS.HOME.SERVICES_CARD.DESCRIPTION') }}</p>
        <div class="buttons">
          <Button link="/ressources/bloc" color="var(--complementary-white)" text-color="var(--complementary-gray-3)">Bloc</Button>
          <Button link="/ressources/cinny" color="var(--complementary-white)" text-color="var(--complementary-gray-3)">Cinny</Button>
        </div>
      </Card>
    </div>
  </div>

  <Background/>
  <div class="people"></div>
</template>

<style scoped>
.home {
  display: flex;
  flex-direction: column;
  gap: 64px;

  margin-top: 86px;
}

.home .cards {
  display: flex;
  flex-direction: row;
  gap: 32px;
}

.home .cards .card {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 24px;
}

.home .cards .card p {
  margin: 0;
}

.home .cards .card .title {
  display: flex;
  flex-direction: row;
  gap: 8px;
  align-items: center;
}

.home .cards .card .buttons {
  display: flex;
  flex-direction: row;
  gap: 8px;
  align-items: center;
}

.home .text {
  max-width: 40%;
  display: flex;
  flex-direction: column;
  justify-content: start;
}

.home .text h1 {
  font-size: 36px;
}

.people {
  position: absolute;
  top: 0;
  right: 10%;
  width: 55%;
  height: 85%;
  z-index: -10;
  background: url(@/assets/img/people.svg) no-repeat center;
  background-size: contain;
}

@media only screen and (max-width: 770px) {
  .people {
    position: unset;
    margin-top: 32px;
    width: 100%;
    height: 300px;
  }
}

@media only screen and (max-width: 1160px) {
  .people {
    top: 275px;
    width: 30%;
    height: 30%;
  }
}

@media only screen and (max-width: 1410px) {
  .people {
    top: 90px;
    width: 50%;
    height: 55%;
    background: url(@/assets/img/people-mobile.svg) no-repeat center;
    background-size: contain;
  }
}

@media only screen and (max-width: 1580px) {
  .people {
    width: 50%;
    height: 65%;
    top: 56px;
  }
}

@media only screen and (max-width: 1160px) {
  .text {
    max-width: 100%;
    z-index: 10;

    display: flex;
    flex-direction: column;
    justify-content: start;
  }

  .card {
    box-sizing: border-box;
  }

  .card .buttons {
    flex-wrap: wrap;
  }
}

@media only screen and (max-width: 770px) {
  .card {
    max-width: 100%;
  }
}
</style>